FilterIterator::accept
FilterIterator::current
FilterIterator
PHP Manual

# FilterIterator::__construct

(PHP 5 >= 5.1.0)

FilterIterator::__construct — Construct a filterIterator

### Description

public FilterIterator::__construct ( Iterator `$iterator` )

Constructs a new FilterIterator, which consists of a passed in `iterator` with filters applied to it.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`iterator`

  The iterator that is being filtered.

### Return Values

The FilterIterator.

### See Also

- LimitIterator::__construct() - Construct a LimitIterator

FilterIterator::accept
FilterIterator::current
FilterIterator
PHP Manual